package smash.appointment.parse;

public class AppointmentSqlExporter extends SqlExporter {

	public String toSql(AppointmentEntry appointment, boolean isFinished) {
		StringBuilder result = new StringBuilder("");

		result.append("insert into web_appointment (");
		result.append("datetime_when, ");
		result.append("length, ");
		result.append("is_finished, ");
		result.append("comment, ");
		result.append("visit_id) ");

		result.append("values (");
		result.append(getStringVal(appointment.getDay() + " " + appointment.getTime()+"+00") + ",");
		result.append(getStringVal(appointment.getDuration()) + ",");
		result.append(isFinished + ",");
		result.append(getStringVal(appointment.getSource()) + ",");
		result.append("(select max(id) from web_visit)");
		result.append(");");

		for (AppointmentType type : appointment.getTypes()) {
			result.append("insert into web_appointment_appointment_types (");
			result.append("appointment_id, ");
			result.append("appointmenttype_id) ");
			result.append("values (");
			result.append("(select max(id) from web_appointment),");
			result.append("(select id from web_appointmenttype where code=" + getStringVal(type.getAbbreviation()) + ") ");
			result.append(");");
		}

		return result.toString();
	}

}
