package smash.appointment.parse;

import static org.junit.Assert.*;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.Test;

public class AppointmentDaoTest {

	@AfterClass
	public static void tearDownAfterClass() throws Exception {
	}

	@Before
	public void setUp() throws Exception {
	}

	@After
	public void tearDown() throws Exception {
	}

	@Test
	public void getVisits() {
		Subject subject1 = new Subject("a", "b", "c", "d");
		AppointmentEntry appointment = new AppointmentEntry();
		appointment.setSubject(subject1);
		appointment.setDay("2016-02-02");
		appointment.addType(AppointmentType.LEVEL_A);
		
		AppointmentEntry appointment2 = new AppointmentEntry();
		appointment2.setSubject(subject1);
		appointment2.setDay("2016-02-02");
		appointment2.addType(AppointmentType.LEVEL_B);
		
		AppointmentEntry appointment3 = new AppointmentEntry();
		appointment3.setSubject(subject1);
		appointment3.setDay("2011-02-02");
		appointment3.addType(AppointmentType.LEVEL_A);
		
		AppointmentDao appointmentDao = new AppointmentDao();
		appointmentDao.addAppointment(appointment);
		appointmentDao.addAppointment(appointment2);
		appointmentDao.addAppointment(appointment3);
		assertEquals(2, appointmentDao.getVisits().size());
	}

	@Test
	public void getVisits2() {
		Subject subject1 = new Subject("a", "b", "c", "d");
		Subject subject2 = new Subject("a1", "b1", "c1", "d1");
		AppointmentEntry appointment = new AppointmentEntry();
		appointment.setSubject(subject1);
		appointment.setDay("2016-02-02");
		appointment.addType(AppointmentType.LEVEL_A);
		
		AppointmentEntry appointment3 = new AppointmentEntry();
		appointment3.setSubject(subject2);
		appointment3.setDay("2016-02-02");
		appointment3.addType(AppointmentType.LEVEL_B);
		
		AppointmentDao appointmentDao = new AppointmentDao();
		appointmentDao.addAppointment(appointment);
		appointmentDao.addAppointment(appointment3);
		assertEquals(2, appointmentDao.getVisits().size());
	}

}
