package smash.appointment.parse;

import static org.junit.Assert.*;

import java.util.List;

import org.apache.log4j.Logger;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.Test;

public class PrcFlyingParserTest extends TestBase {
	Logger						logger		= Logger.getLogger(PrcSubjectsParserTest.class);

	PrcFlyingParser processor	= new PrcFlyingParser();


	@AfterClass
	public static void tearDownAfterClass() throws Exception {
	}

	@Before
	public void setUp()  {
		super.setUp();
	}

	@After
	public void tearDown() throws Exception {
	}

	@Test
	public void test() throws Exception {
		List<Subject> entries = processor.processExcel("testFiles/prcFlyingTeam.xlsx");
		assertTrue(entries.size() > 0);

		Subject subject = entries.get(0);
		assertEquals("F-222", subject.getScreeningNumber());
		assertEquals("DOE", subject.getSurname());
		assertEquals("John", subject.getName());
		assertTrue(subject.getRemarks().contains("notes"));
		assertEquals("8, rue des Nowhere", subject.getAddress());
		assertEquals("F-57100", subject.getZipCode());
		assertEquals("Paris", subject.getCity());
		assertEquals("France", subject.getCountry());
		assertEquals("001234325435", subject.getPhone1());
		assertEquals("666", subject.getPhone2());
		assertEquals("", subject.getPhone3());
		assertEquals("mail@address.lu", subject.getMail());
		assertEquals("", subject.getDiagnosisYear());
		assertEquals("BLA", subject.getDiagnosis());
		assertEquals("DR", subject.getReferal());
		assertEquals("2016-07-06", subject.getAddDate());
		assertTrue(subject.getRemarks().contains("Questionnaires OK"));
		assertEquals("ND2222", subject.getNdNumber());
		assertEquals("1945-01-02", subject.getBirthDate());
	}


}
