package smash.appointment.parse;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertTrue;

import java.util.List;

import org.apache.log4j.Logger;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.Test;

public class PrcSubjectsParserTest extends TestBase {
	Logger						logger		= Logger.getLogger(PrcSubjectsParserTest.class);

	PrcSubjectsParser	processor	= new PrcSubjectsParser();

	@AfterClass
	public static void tearDownAfterClass() throws Exception {
	}

	@Before
	public void setUp() {
		super.setUp();
	}

	@After
	public void tearDown() throws Exception {
	}

	@Test
	public void test() throws Exception {
		List<Subject> entries = processor.processExcel("testFiles/prcSubjectsExample.xlsx");
		assertTrue(entries.size() > 0);

		Subject subject = entries.get(0);
		assertEquals("P-111", subject.getScreeningNumber());
		assertEquals("abcdef", subject.getSurname());
		assertEquals("Piotr", subject.getName());
		assertTrue(subject.getRemarks().contains("this is remark"));
		assertEquals("Jaskolki, 6", subject.getAddress());
		assertEquals("D-66636", subject.getZipCode());
		assertEquals("Trier", subject.getCity());
		assertEquals("Deutschland", subject.getCountry());
		assertEquals("0049 12 34 556 76", subject.getPhone1());
		assertEquals("tel2", subject.getPhone2());
		assertEquals("tel3", subject.getPhone3());
		assertEquals("piotr.cos@uni.lu", subject.getMail());
		assertEquals("1999", subject.getDiagnosisYear());
		assertEquals("unknown", subject.getDiagnosis());
		assertEquals("PG", subject.getReferal());
		assertEquals("2015-10-14", subject.getAddDate());
		assertTrue(subject.getRemarks().contains("Questionnaires OK"));
		assertEquals("ND1111", subject.getNdNumber());
		assertEquals("m_id", subject.getmPowerId());
		assertEquals("1972-01-02", subject.getBirthDate());
		assertFalse(subject.isDead());
		assertFalse(subject.isResigned());

		subject = entries.get(1);
		assertTrue(subject.isDead());
		assertTrue(subject.isResigned());
		
		subject = entries.get(2);
		assertFalse(subject.isDead());
		assertFalse(subject.isResigned());

		subject = entries.get(3);
		assertFalse(subject.isDead());
		assertFalse(subject.isResigned());

		subject = entries.get(4);
		assertFalse(subject.isDead());
		assertTrue(subject.isResigned());


		subject = entries.get(5);
		assertFalse(subject.isDead());

		subject = entries.get(6);
		assertFalse(subject.isDead());
	}
}
