package smash.appointment.parse;

import static org.junit.Assert.*;

import java.util.ArrayList;
import java.util.Calendar;
import java.util.List;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.Test;

public class RedcapCalendarParserTest extends TestBase{
	RedcapCalendarParser parser = new RedcapCalendarParser();

	@AfterClass
	public static void tearDownAfterClass() throws Exception {
	}

	@Before
	public void setUp()  {
		super.setUp();
		parser.setSubjectDao(subjectDao);
		List<Subject> subjects = new ArrayList<>();
		for (int count =0 ;count<10000;count++) {
			String nd = count+"";
			while (nd.length()<4) {
				nd = "0"+nd;
			}
			Subject subject = new Subject("name "+nd, "surname"+nd, "ND"+nd, count+"");
			
			String screening = nd;
			if (screening.startsWith("0")) {
				screening = screening.substring(1);
			}
			subject.setScreeningNumber("P-"+screening);
			subject.setToBeSeenAt("PRC");
			if (count>=3000) {
				screening=screening.substring(1);
				subject.setScreeningNumber("L-"+screening);
				subject.setToBeSeenAt("LIH");
			}
			if (count>=7000) {
				subject.setScreeningNumber("F-"+nd);
				subject.setToBeSeenAt("FLYING TEAM");
			}
			subjects.add(subject);
		}
		subjectDao.setSubjects(subjects);
	}

	@After
	public void tearDown() throws Exception {
	}

	@Test
	public void testParse() throws Exception{
		List<AppointmentEntry> result = parser.parse("testFiles/redcap_calendar.sql", null);
		assertEquals(2, result.size());
	}

	@Test
	public void test() throws Exception{
		List<AppointmentEntry> result = parser.parse("c:/Users/piotr.gawron/Desktop/tmp/prc/redcap_events_calendar.sql", Calendar.getInstance());
	}

	@Test
	public void testParse2() throws Exception{
		Calendar future =Calendar.getInstance();
		future.set(Calendar.YEAR, 4000);
		List<AppointmentEntry> result = parser.parse("testFiles/redcap_calendar.sql", future);
		assertEquals(0, result.size());
	}

}
