package smash.appointment.parse;

import static org.junit.Assert.*;

import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.List;

import org.apache.log4j.Logger;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.Test;

public class RedcapParserTest extends TestBase{
	Logger								logger		= Logger.getLogger(RedcapParserTest.class);
	RedcapParser parser = new RedcapParser();

	@AfterClass
	public static void tearDownAfterClass() throws Exception {
	}

	@Before
	public void setUp() {
		super.setUp();
		parser.setSubjectDao(subjectDao);
	}

	@After
	public void tearDown() throws Exception {
	}

	@Test
	public void testParseFile() throws FileNotFoundException, IOException {
		List<AppointmentEntry> entries = parser.parse("testFiles/redcap_imp.txt");
		assertTrue(entries.size() > 0);
		assertEquals(3, subjectDao.getByNdNumber("ND0001").getLanguages().size());

		int levelACount = 0;
		int levelBCount = 0;
		int levelBVCount = 0;
		int levelBGCount = 0;
		int levelSBCount = 0;
		int levelMPowerCount = 0;
		for (AppointmentEntry appointmentEntry : entries) {
			if (appointmentEntry.getTypes().contains(AppointmentType.LEVEL_A)) {
				levelACount++;
			}
			if (appointmentEntry.getTypes().contains(AppointmentType.LEVEL_B)) {
				levelBCount++;
			}
			if (appointmentEntry.getTypes().contains(AppointmentType.LEVEL_BG)) {
				levelBGCount++;
			}
			if (appointmentEntry.getTypes().contains(AppointmentType.LEVEL_BV)) {
				levelBVCount++;
			}
			if (appointmentEntry.getTypes().contains(AppointmentType.LEVEL_SB)) {
				levelSBCount++;
			}
			if (appointmentEntry.getTypes().contains(AppointmentType.LEVEL_B_M_POWER)) {
				levelMPowerCount++;
			}
		}
		assertTrue(levelACount > 0);
		assertTrue(levelBCount > 0);
		assertTrue(levelBVCount > 0);
		assertTrue(levelBGCount > 0);
		assertTrue(levelSBCount > 0);
		assertTrue(levelMPowerCount > 0);
		
	}

}
